# All Documents

- subvertpy
  index.html
  Package
  Package
  PUBLIC
  Python bindings for Subversion.
- subvertpy.delta
  subvertpy.delta.html
  Module
  Module
  PUBLIC
  Subversion delta operations.
- subvertpy.marshall
  subvertpy.marshall.html
  Module
  Module
  PUBLIC
  Marshalling for the svn_ra protocol.
- subvertpy.properties
  subvertpy.properties.html
  Module
  Module
  PUBLIC
  Handling of Subversion properties.
- subvertpy.ra
  subvertpy.ra.html
  Module
  Module
  PUBLIC
  Python bindings for Subversion.
- subvertpy.ra_svn
  subvertpy.ra_svn.html
  Module
  Module
  PUBLIC
  Python bindings for Subversion.
- subvertpy.server
  subvertpy.server.html
  Module
  Module
  PUBLIC
  Server backend base classes.
- subvertpy.tests
  subvertpy.tests.html
  Package
  Package
  PUBLIC
  Tests for subvertpy.
- subvertpy.tests.test_client
  subvertpy.tests.test_client.html
  Module
  Module
  PUBLIC
  Subversion client library tests.
- subvertpy.tests.test_core
  subvertpy.tests.test_core.html
  Module
  Module
  PUBLIC
  Subversion core library tests.
- subvertpy.tests.test_delta
  subvertpy.tests.test_delta.html
  Module
  Module
  PUBLIC
  Tests for subvertpy.delta.
- subvertpy.tests.test_marshall
  subvertpy.tests.test_marshall.html
  Module
  Module
  PUBLIC
  Tests for subvertpy.marshall.
- subvertpy.tests.test_properties
  subvertpy.tests.test_properties.html
  Module
  Module
  PUBLIC
  Subversion core library tests.
- subvertpy.tests.test_ra
  subvertpy.tests.test_ra.html
  Module
  Module
  PUBLIC
  Subversion ra library tests.
- subvertpy.tests.test_ra_svn
  subvertpy.tests.test_ra_svn.html
  Module
  Module
  PUBLIC
  Tests for subvertpy.ra_svn.
- subvertpy.tests.test_repos
  subvertpy.tests.test_repos.html
  Module
  Module
  PUBLIC
  Subversion repository library tests.
- subvertpy.tests.test_server
  subvertpy.tests.test_server.html
  Module
  Module
  PUBLIC
  Subversion server tests.
- subvertpy.tests.test_subr
  subvertpy.tests.test_subr.html
  Module
  Module
  PUBLIC
  Subversion subr library tests.
- subvertpy.tests.test_wc
  subvertpy.tests.test_wc.html
  Module
  Module
  PUBLIC
  Subversion wc library tests.
- subvertpy.__author__
  index.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.__version__
  index.html#__version__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.NODE_DIR
  index.html#NODE_DIR
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.NODE_FILE
  index.html#NODE_FILE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.NODE_NONE
  index.html#NODE_NONE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.NODE_UNKNOWN
  index.html#NODE_UNKNOWN
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_UNSUPPORTED_FEATURE
  index.html#ERR_UNSUPPORTED_FEATURE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_SVN_UNKNOWN_CMD
  index.html#ERR_RA_SVN_UNKNOWN_CMD
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_SVN_CONNECTION_CLOSED
  index.html#ERR_RA_SVN_CONNECTION_CLOSED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_LOCKED
  index.html#ERR_WC_LOCKED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_NOT_AUTHORIZED
  index.html#ERR_RA_NOT_AUTHORIZED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_INCOMPLETE_DATA
  index.html#ERR_INCOMPLETE_DATA
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_DIR_NOT_EMPTY
  index.html#ERR_DIR_NOT_EMPTY
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_SVN_MALFORMED_DATA
  index.html#ERR_RA_SVN_MALFORMED_DATA
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_NOT_IMPLEMENTED
  index.html#ERR_RA_NOT_IMPLEMENTED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_NO_SUCH_REVISION
  index.html#ERR_FS_NO_SUCH_REVISION
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_TXN_OUT_OF_DATE
  index.html#ERR_FS_TXN_OUT_OF_DATE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_REPOS_DISABLED_FEATURE
  index.html#ERR_REPOS_DISABLED_FEATURE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_STREAM_MALFORMED_DATA
  index.html#ERR_STREAM_MALFORMED_DATA
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_ILLEGAL_URL
  index.html#ERR_RA_ILLEGAL_URL
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_LOCAL_REPOS_OPEN_FAILED
  index.html#ERR_RA_LOCAL_REPOS_OPEN_FAILED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_BAD_FILENAME
  index.html#ERR_BAD_FILENAME
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_BAD_URL
  index.html#ERR_BAD_URL
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_BAD_DATE
  index.html#ERR_BAD_DATE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_REQUEST_FAILED
  index.html#ERR_RA_DAV_REQUEST_FAILED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_PATH_NOT_FOUND
  index.html#ERR_RA_DAV_PATH_NOT_FOUND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_NOT_DIRECTORY
  index.html#ERR_FS_NOT_DIRECTORY
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_NOT_FOUND
  index.html#ERR_FS_NOT_FOUND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_ALREADY_EXISTS
  index.html#ERR_FS_ALREADY_EXISTS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_SVN_REPOS_NOT_FOUND
  index.html#ERR_RA_SVN_REPOS_NOT_FOUND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_NOT_WORKING_COPY
  index.html#ERR_WC_NOT_WORKING_COPY
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_NOT_DIRECTORY
  index.html#ERR_WC_NOT_DIRECTORY
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_ENTRY_EXISTS
  index.html#ERR_ENTRY_EXISTS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_PATH_NOT_FOUND
  index.html#ERR_WC_PATH_NOT_FOUND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_CANCELLED
  index.html#ERR_CANCELLED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_UNSUPPORTED_FORMAT
  index.html#ERR_WC_UNSUPPORTED_FORMAT
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_UNKNOWN_CAPABILITY
  index.html#ERR_UNKNOWN_CAPABILITY
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_AUTHN_NO_PROVIDER
  index.html#ERR_AUTHN_NO_PROVIDER
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_RELOCATED
  index.html#ERR_RA_DAV_RELOCATED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_NOT_FILE
  index.html#ERR_FS_NOT_FILE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_BAD_ADM_LOG
  index.html#ERR_WC_BAD_ADM_LOG
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_BAD_ADM_LOG_START
  index.html#ERR_WC_BAD_ADM_LOG_START
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_NOT_LOCKED
  index.html#ERR_WC_NOT_LOCKED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_NOT_VCC
  index.html#ERR_RA_DAV_NOT_VCC
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_REPOS_HOOK_FAILURE
  index.html#ERR_REPOS_HOOK_FAILURE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_XML_MALFORMED
  index.html#ERR_XML_MALFORMED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_MALFORMED_FILE
  index.html#ERR_MALFORMED_FILE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_PATH_SYNTAX
  index.html#ERR_FS_PATH_SYNTAX
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_FORBIDDEN
  index.html#ERR_RA_DAV_FORBIDDEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_SCHEDULE_CONFLICT
  index.html#ERR_WC_SCHEDULE_CONFLICT
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_DAV_PROPPATCH_FAILED
  index.html#ERR_RA_DAV_PROPPATCH_FAILED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_SVNDIFF_CORRUPT_WINDOW
  index.html#ERR_SVNDIFF_CORRUPT_WINDOW
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_CONFLICT
  index.html#ERR_FS_CONFLICT
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_NODE_UNKNOWN_KIND
  index.html#ERR_NODE_UNKNOWN_KIND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_SERF_SSL_CERT_UNTRUSTED
  index.html#ERR_RA_SERF_SSL_CERT_UNTRUSTED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_ENTRY_NOT_FOUND
  index.html#ERR_ENTRY_NOT_FOUND
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_BAD_PROPERTY_VALUE
  index.html#ERR_BAD_PROPERTY_VALUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_FS_ROOT_DIR
  index.html#ERR_FS_ROOT_DIR
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_NODE_KIND_CHANGE
  index.html#ERR_WC_NODE_KIND_CHANGE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_WC_UPGRADE_REQUIRED
  index.html#ERR_WC_UPGRADE_REQUIRED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_RA_CANNOT_CREATE_SESSION
  index.html#ERR_RA_CANNOT_CREATE_SESSION
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_REPOS_BAD_ARGS
  index.html#ERR_REPOS_BAD_ARGS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_APR_OS_START_EAIERR
  index.html#ERR_APR_OS_START_EAIERR
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_APR_OS_ERRSPACE_SIZE
  index.html#ERR_APR_OS_ERRSPACE_SIZE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_CATEGORY_SIZE
  index.html#ERR_CATEGORY_SIZE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_EAI_NONAME
  index.html#ERR_EAI_NONAME
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ERR_UNKNOWN_HOSTNAME
  index.html#ERR_UNKNOWN_HOSTNAME
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.AUTH_PARAM_DEFAULT_USERNAME
  index.html#AUTH_PARAM_DEFAULT_USERNAME
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.AUTH_PARAM_DEFAULT_PASSWORD
  index.html#AUTH_PARAM_DEFAULT_PASSWORD
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SSL_NOTYETVALID
  index.html#SSL_NOTYETVALID
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SSL_EXPIRED
  index.html#SSL_EXPIRED
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SSL_CNMISMATCH
  index.html#SSL_CNMISMATCH
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SSL_UNKNOWNCA
  index.html#SSL_UNKNOWNCA
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SSL_OTHER
  index.html#SSL_OTHER
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.SubversionException
  subvertpy.SubversionException.html
  Class
  Exception
  PUBLIC
  A Subversion exception
- subvertpy.SubversionException.__init__
  subvertpy.SubversionException.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.SubversionException.args
  subvertpy.SubversionException.html#args
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.SubversionException.child
  subvertpy.SubversionException.html#child
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.SubversionException.location
  subvertpy.SubversionException.html#location
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy._check_mtime
  index.html#_check_mtime
  Function
  Function
  PRIVATE
  Check whether a C extension is out of date.
- subvertpy.dll_dirs
  index.html#dll_dirs
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.path
  index.html#path
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.delta.__author__
  subvertpy.delta.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.delta.TXDELTA_SOURCE
  subvertpy.delta.html#TXDELTA_SOURCE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.TXDELTA_TARGET
  subvertpy.delta.html#TXDELTA_TARGET
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.TXDELTA_NEW
  subvertpy.delta.html#TXDELTA_NEW
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.TXDELTA_INVALID
  subvertpy.delta.html#TXDELTA_INVALID
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.MAX_ENCODED_INT_LEN
  subvertpy.delta.html#MAX_ENCODED_INT_LEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.DELTA_WINDOW_SIZE
  subvertpy.delta.html#DELTA_WINDOW_SIZE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.apply_txdelta_window
  subvertpy.delta.html#apply_txdelta_window
  Function
  Function
  PUBLIC
  Apply a txdelta window to a buffer.
- subvertpy.delta.apply_txdelta_handler_chunks
  subvertpy.delta.html#apply_txdelta_handler_chunks
  Function
  Function
  PUBLIC
  Return a function that can be called repeatedly with txdelta windows.
- subvertpy.delta.apply_txdelta_handler
  subvertpy.delta.html#apply_txdelta_handler
  Function
  Function
  PUBLIC
  Return a function that can be called repeatedly with txdelta windows.
- subvertpy.delta.txdelta_apply_ops
  subvertpy.delta.html#txdelta_apply_ops
  Function
  Function
  PUBLIC
  Apply txdelta operations to a source view.
- subvertpy.delta.send_stream
  subvertpy.delta.html#send_stream
  Function
  Function
  PUBLIC
  Send txdelta windows that create stream to handler
- subvertpy.delta.encode_length
  subvertpy.delta.html#encode_length
  Function
  Function
  PUBLIC
  Encode a length variable.
- subvertpy.delta.decode_length
  subvertpy.delta.html#decode_length
  Function
  Function
  PUBLIC
  Decode a length variable.
- subvertpy.delta.pack_svndiff_instruction
  subvertpy.delta.html#pack_svndiff_instruction
  Function
  Function
  PUBLIC
  Pack a SVN diff instruction
- subvertpy.delta.unpack_svndiff_instruction
  subvertpy.delta.html#unpack_svndiff_instruction
  Function
  Function
  PUBLIC
  Unpack a SVN diff instruction
- subvertpy.delta.SVNDIFF0_HEADER
  subvertpy.delta.html#SVNDIFF0_HEADER
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.delta.pack_svndiff0_window
  subvertpy.delta.html#pack_svndiff0_window
  Function
  Function
  PUBLIC
  Pack an individual window using svndiff0.
- subvertpy.delta.pack_svndiff0
  subvertpy.delta.html#pack_svndiff0
  Function
  Function
  PUBLIC
  Pack a SVN diff file.
- subvertpy.delta.unpack_svndiff0
  subvertpy.delta.html#unpack_svndiff0
  Function
  Function
  PUBLIC
  Unpack a version 0 svndiff text.
- subvertpy.marshall.literal
  subvertpy.marshall.literal.html
  Class
  Class
  PUBLIC
  A protocol literal.
- subvertpy.marshall.literal.__init__
  subvertpy.marshall.literal.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.marshall.literal.txt
  subvertpy.marshall.literal.html#txt
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.marshall.literal.__str__
  subvertpy.marshall.literal.html#__str__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.marshall.literal.__repr__
  subvertpy.marshall.literal.html#__repr__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.marshall.literal.__eq__
  subvertpy.marshall.literal.html#__eq__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.marshall.MarshallError
  subvertpy.marshall.MarshallError.html
  Class
  Exception
  PUBLIC
  A Marshall error.
- subvertpy.marshall.NeedMoreData
  subvertpy.marshall.NeedMoreData.html
  Class
  Exception
  PUBLIC
  More data needed.
- subvertpy.marshall.marshall
  subvertpy.marshall.html#marshall
  Function
  Function
  PUBLIC
  Marshall a Python data item.
- subvertpy.marshall.unmarshall
  subvertpy.marshall.html#unmarshall
  Function
  Function
  PUBLIC
  Unmarshall the next item from a buffer.
- subvertpy.properties.__author__
  subvertpy.properties.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.properties.InvalidExternalsDescription
  subvertpy.properties.InvalidExternalsDescription.html
  Class
  Exception
  PUBLIC
  Undocumented
- subvertpy.properties.InvalidExternalsDescription._fmt
  subvertpy.properties.InvalidExternalsDescription.html#_fmt
  Attribute
  Class Variable
  PRIVATE
  Undocumented
- subvertpy.properties.is_valid_property_name
  subvertpy.properties.html#is_valid_property_name
  Function
  Function
  PUBLIC
  Check the validity of a property name.
- subvertpy.properties.time_to_cstring
  subvertpy.properties.html#time_to_cstring
  Function
  Function
  PUBLIC
  Determine string representation of a time.
- subvertpy.properties.time_from_cstring
  subvertpy.properties.html#time_from_cstring
  Function
  Function
  PUBLIC
  Parse a time from a cstring.
- subvertpy.properties.parse_externals_description
  subvertpy.properties.html#parse_externals_description
  Function
  Function
  PUBLIC
  Parse an svn:externals property value.
- subvertpy.properties.parse_mergeinfo_property
  subvertpy.properties.html#parse_mergeinfo_property
  Function
  Function
  PUBLIC
  Parse a mergeinfo property.
- subvertpy.properties.generate_mergeinfo_property
  subvertpy.properties.html#generate_mergeinfo_property
  Function
  Function
  PUBLIC
  Generate the contents of the svn:mergeinfo property
- subvertpy.properties.range_includes_revnum
  subvertpy.properties.html#range_includes_revnum
  Function
  Function
  PUBLIC
  Check if the specified range contains the mentioned revision number.
- subvertpy.properties.range_add_revnum
  subvertpy.properties.html#range_add_revnum
  Function
  Function
  PUBLIC
  Add revision number to a list of ranges
- subvertpy.properties.mergeinfo_includes_revision
  subvertpy.properties.html#mergeinfo_includes_revision
  Function
  Function
  PUBLIC
  Check if the specified mergeinfo contains a path in revnum.
- subvertpy.properties.mergeinfo_add_revision
  subvertpy.properties.html#mergeinfo_add_revision
  Function
  Function
  PUBLIC
  Add a revision to a mergeinfo dictionary
- subvertpy.properties.PROP_EXECUTABLE
  subvertpy.properties.html#PROP_EXECUTABLE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_EXECUTABLE_VALUE
  subvertpy.properties.html#PROP_EXECUTABLE_VALUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_EXTERNALS
  subvertpy.properties.html#PROP_EXTERNALS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_IGNORE
  subvertpy.properties.html#PROP_IGNORE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_KEYWORDS
  subvertpy.properties.html#PROP_KEYWORDS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_MIME_TYPE
  subvertpy.properties.html#PROP_MIME_TYPE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_MERGEINFO
  subvertpy.properties.html#PROP_MERGEINFO
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_NEEDS_LOCK
  subvertpy.properties.html#PROP_NEEDS_LOCK
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_NEEDS_LOCK_VALUE
  subvertpy.properties.html#PROP_NEEDS_LOCK_VALUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_PREFIX
  subvertpy.properties.html#PROP_PREFIX
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_SPECIAL
  subvertpy.properties.html#PROP_SPECIAL
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_SPECIAL_VALUE
  subvertpy.properties.html#PROP_SPECIAL_VALUE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_WC_PREFIX
  subvertpy.properties.html#PROP_WC_PREFIX
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_PREFIX
  subvertpy.properties.html#PROP_ENTRY_PREFIX
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_COMMITTED_DATE
  subvertpy.properties.html#PROP_ENTRY_COMMITTED_DATE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_COMMITTED_REV
  subvertpy.properties.html#PROP_ENTRY_COMMITTED_REV
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_LAST_AUTHOR
  subvertpy.properties.html#PROP_ENTRY_LAST_AUTHOR
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_LOCK_TOKEN
  subvertpy.properties.html#PROP_ENTRY_LOCK_TOKEN
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_ENTRY_UUID
  subvertpy.properties.html#PROP_ENTRY_UUID
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_REVISION_LOG
  subvertpy.properties.html#PROP_REVISION_LOG
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_REVISION_AUTHOR
  subvertpy.properties.html#PROP_REVISION_AUTHOR
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_REVISION_DATE
  subvertpy.properties.html#PROP_REVISION_DATE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.PROP_REVISION_ORIGINAL_DATE
  subvertpy.properties.html#PROP_REVISION_ORIGINAL_DATE
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.properties.diff
  subvertpy.properties.html#diff
  Function
  Function
  PUBLIC
  Find the differences between two property dictionaries.
- subvertpy.ra.__author__
  subvertpy.ra.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.__author__
  subvertpy.ra_svn.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.server.ServerBackend
  subvertpy.server.ServerBackend.html
  Class
  Class
  PUBLIC
  A server backend.
- subvertpy.server.ServerBackend.open_repository
  subvertpy.server.ServerBackend.html#open_repository
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.generate_random_id
  subvertpy.server.html#generate_random_id
  Function
  Function
  PUBLIC
  Create a UUID for a repository.
- subvertpy.server.ServerRepositoryBackend
  subvertpy.server.ServerRepositoryBackend.html
  Class
  Class
  PUBLIC
  No class docstring; 1/8 method documented
- subvertpy.server.ServerRepositoryBackend.get_uuid
  subvertpy.server.ServerRepositoryBackend.html#get_uuid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.get_latest_revnum
  subvertpy.server.ServerRepositoryBackend.html#get_latest_revnum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.log
  subvertpy.server.ServerRepositoryBackend.html#log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.update
  subvertpy.server.ServerRepositoryBackend.html#update
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.check_path
  subvertpy.server.ServerRepositoryBackend.html#check_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.stat
  subvertpy.server.ServerRepositoryBackend.html#stat
  Function
  Method
  PUBLIC
  Stat a path.
- subvertpy.server.ServerRepositoryBackend.rev_proplist
  subvertpy.server.ServerRepositoryBackend.html#rev_proplist
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.server.ServerRepositoryBackend.get_locations
  subvertpy.server.ServerRepositoryBackend.html#get_locations
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess
  subvertpy.ra_svn.SSHSubprocess.html
  Class
  Class
  PUBLIC
  A socket-like object that talks to an ssh subprocess via pipes.
- subvertpy.ra_svn.SSHSubprocess.__slots__
  subvertpy.ra_svn.SSHSubprocess.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.__init__
  subvertpy.ra_svn.SSHSubprocess.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.proc
  subvertpy.ra_svn.SSHSubprocess.html#proc
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.send
  subvertpy.ra_svn.SSHSubprocess.html#send
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.recv
  subvertpy.ra_svn.SSHSubprocess.html#recv
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.close
  subvertpy.ra_svn.SSHSubprocess.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHSubprocess.get_filelike_channels
  subvertpy.ra_svn.SSHSubprocess.html#get_filelike_channels
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHVendor
  subvertpy.ra_svn.SSHVendor.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SSHVendor.connect_ssh
  subvertpy.ra_svn.SSHVendor.html#connect_ssh
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection
  subvertpy.ra_svn.SVNConnection.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.__init__
  subvertpy.ra_svn.SVNConnection.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.inbuffer
  subvertpy.ra_svn.SVNConnection.html#inbuffer
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.recv_fn
  subvertpy.ra_svn.SVNConnection.html#recv_fn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.send_fn
  subvertpy.ra_svn.SVNConnection.html#send_fn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.recv_msg
  subvertpy.ra_svn.SVNConnection.html#recv_msg
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.send_msg
  subvertpy.ra_svn.SVNConnection.html#send_msg
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNConnection.send_success
  subvertpy.ra_svn.SVNConnection.html#send_success
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVN_PORT
  subvertpy.ra_svn.html#SVN_PORT
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ra_svn.feed_editor
  subvertpy.ra_svn.html#feed_editor
  Function
  Function
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter
  subvertpy.ra_svn.Reporter.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.__slots__
  subvertpy.ra_svn.Reporter.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.__init__
  subvertpy.ra_svn.Reporter.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.conn
  subvertpy.ra_svn.Reporter.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.editor
  subvertpy.ra_svn.Reporter.html#editor
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.set_path
  subvertpy.ra_svn.Reporter.html#set_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.delete_path
  subvertpy.ra_svn.Reporter.html#delete_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.link_path
  subvertpy.ra_svn.Reporter.html#link_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.finish
  subvertpy.ra_svn.Reporter.html#finish
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Reporter.abort
  subvertpy.ra_svn.Reporter.html#abort
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor
  subvertpy.ra_svn.Editor.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.__slots__
  subvertpy.ra_svn.Editor.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.__init__
  subvertpy.ra_svn.Editor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.conn
  subvertpy.ra_svn.Editor.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.set_target_revision
  subvertpy.ra_svn.Editor.html#set_target_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.open_root
  subvertpy.ra_svn.Editor.html#open_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.close
  subvertpy.ra_svn.Editor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.Editor.abort
  subvertpy.ra_svn.Editor.html#abort
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor
  subvertpy.ra_svn.DirectoryEditor.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.__slots__
  subvertpy.ra_svn.DirectoryEditor.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.__init__
  subvertpy.ra_svn.DirectoryEditor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.conn
  subvertpy.ra_svn.DirectoryEditor.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.id
  subvertpy.ra_svn.DirectoryEditor.html#id
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.add_file
  subvertpy.ra_svn.DirectoryEditor.html#add_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.open_file
  subvertpy.ra_svn.DirectoryEditor.html#open_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.delete_entry
  subvertpy.ra_svn.DirectoryEditor.html#delete_entry
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.add_directory
  subvertpy.ra_svn.DirectoryEditor.html#add_directory
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.open_directory
  subvertpy.ra_svn.DirectoryEditor.html#open_directory
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.change_prop
  subvertpy.ra_svn.DirectoryEditor.html#change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.DirectoryEditor._is_last_open
  subvertpy.ra_svn.DirectoryEditor.html#_is_last_open
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.DirectoryEditor.close
  subvertpy.ra_svn.DirectoryEditor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor
  subvertpy.ra_svn.FileEditor.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.__slots__
  subvertpy.ra_svn.FileEditor.html#__slots__
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.__init__
  subvertpy.ra_svn.FileEditor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.conn
  subvertpy.ra_svn.FileEditor.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.id
  subvertpy.ra_svn.FileEditor.html#id
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor._is_last_open
  subvertpy.ra_svn.FileEditor.html#_is_last_open
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.FileEditor.close
  subvertpy.ra_svn.FileEditor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.apply_textdelta
  subvertpy.ra_svn.FileEditor.html#apply_textdelta
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.FileEditor.change_prop
  subvertpy.ra_svn.FileEditor.html#change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.mark_busy
  subvertpy.ra_svn.html#mark_busy
  Function
  Function
  PUBLIC
  Undocumented
- subvertpy.ra_svn.unmarshall_dirent
  subvertpy.ra_svn.html#unmarshall_dirent
  Function
  Function
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient
  subvertpy.ra_svn.SVNClient.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.__init__
  subvertpy.ra_svn.SVNClient.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.url
  subvertpy.ra_svn.SVNClient.html#url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient._progress_cb
  subvertpy.ra_svn.SVNClient.html#_progress_cb
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._auth
  subvertpy.ra_svn.SVNClient.html#_auth
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._config
  subvertpy.ra_svn.SVNClient.html#_config
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._client_string_func
  subvertpy.ra_svn.SVNClient.html#_client_string_func
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._server_capabilities
  subvertpy.ra_svn.SVNClient.html#_server_capabilities
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._server_mechanisms
  subvertpy.ra_svn.SVNClient.html#_server_mechanisms
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._uuid
  subvertpy.ra_svn.SVNClient.html#_uuid
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._root_url
  subvertpy.ra_svn.SVNClient.html#_root_url
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient.busy
  subvertpy.ra_svn.SVNClient.html#busy
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient._unpack
  subvertpy.ra_svn.SVNClient.html#_unpack
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._recv_greeting
  subvertpy.ra_svn.SVNClient.html#_recv_greeting
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._connect
  subvertpy.ra_svn.SVNClient.html#_connect
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._socket
  subvertpy.ra_svn.SVNClient.html#_socket
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._connect_ssh
  subvertpy.ra_svn.SVNClient.html#_connect_ssh
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient._tunnel
  subvertpy.ra_svn.SVNClient.html#_tunnel
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNClient.get_file_revs
  subvertpy.ra_svn.SVNClient.html#get_file_revs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_locations
  subvertpy.ra_svn.SVNClient.html#get_locations
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_locks
  subvertpy.ra_svn.SVNClient.html#get_locks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.lock
  subvertpy.ra_svn.SVNClient.html#lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.unlock
  subvertpy.ra_svn.SVNClient.html#unlock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.mergeinfo
  subvertpy.ra_svn.SVNClient.html#mergeinfo
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.location_segments
  subvertpy.ra_svn.SVNClient.html#location_segments
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_location_segments
  subvertpy.ra_svn.SVNClient.html#get_location_segments
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.has_capability
  subvertpy.ra_svn.SVNClient.html#has_capability
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.check_path
  subvertpy.ra_svn.SVNClient.html#check_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_lock
  subvertpy.ra_svn.SVNClient.html#get_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_dir
  subvertpy.ra_svn.SVNClient.html#get_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.stat
  subvertpy.ra_svn.SVNClient.html#stat
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_file
  subvertpy.ra_svn.SVNClient.html#get_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.change_rev_prop
  subvertpy.ra_svn.SVNClient.html#change_rev_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_commit_editor
  subvertpy.ra_svn.SVNClient.html#get_commit_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.rev_proplist
  subvertpy.ra_svn.SVNClient.html#rev_proplist
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.rev_prop
  subvertpy.ra_svn.SVNClient.html#rev_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.replay
  subvertpy.ra_svn.SVNClient.html#replay
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.replay_range
  subvertpy.ra_svn.SVNClient.html#replay_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.do_switch
  subvertpy.ra_svn.SVNClient.html#do_switch
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.do_update
  subvertpy.ra_svn.SVNClient.html#do_update
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.do_diff
  subvertpy.ra_svn.SVNClient.html#do_diff
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_repos_root
  subvertpy.ra_svn.SVNClient.html#get_repos_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_latest_revnum
  subvertpy.ra_svn.SVNClient.html#get_latest_revnum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_dated_rev
  subvertpy.ra_svn.SVNClient.html#get_dated_rev
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.reparent
  subvertpy.ra_svn.SVNClient.html#reparent
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_uuid
  subvertpy.ra_svn.SVNClient.html#get_uuid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.log
  subvertpy.ra_svn.SVNClient.html#log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNClient.get_log
  subvertpy.ra_svn.SVNClient.html#get_log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.MIN_VERSION
  subvertpy.ra_svn.html#MIN_VERSION
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ra_svn.MAX_VERSION
  subvertpy.ra_svn.html#MAX_VERSION
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ra_svn.CAPABILITIES
  subvertpy.ra_svn.html#CAPABILITIES
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ra_svn.MECHANISMS
  subvertpy.ra_svn.html#MECHANISMS
  Attribute
  Constant
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer
  subvertpy.ra_svn.SVNServer.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.__init__
  subvertpy.ra_svn.SVNServer.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.backend
  subvertpy.ra_svn.SVNServer.html#backend
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer._stop
  subvertpy.ra_svn.SVNServer.html#_stop
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNServer._logf
  subvertpy.ra_svn.SVNServer.html#_logf
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.SVNServer.send_mechs
  subvertpy.ra_svn.SVNServer.html#send_mechs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.send_failure
  subvertpy.ra_svn.SVNServer.html#send_failure
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.send_ack
  subvertpy.ra_svn.SVNServer.html#send_ack
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.send_unknown
  subvertpy.ra_svn.SVNServer.html#send_unknown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.get_latest_rev
  subvertpy.ra_svn.SVNServer.html#get_latest_rev
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.check_path
  subvertpy.ra_svn.SVNServer.html#check_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.log
  subvertpy.ra_svn.SVNServer.html#log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.open_backend
  subvertpy.ra_svn.SVNServer.html#open_backend
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.repo_backend
  subvertpy.ra_svn.SVNServer.html#repo_backend
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.relpath
  subvertpy.ra_svn.SVNServer.html#relpath
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.reparent
  subvertpy.ra_svn.SVNServer.html#reparent
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.stat
  subvertpy.ra_svn.SVNServer.html#stat
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.commit
  subvertpy.ra_svn.SVNServer.html#commit
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.rev_proplist
  subvertpy.ra_svn.SVNServer.html#rev_proplist
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.rev_prop
  subvertpy.ra_svn.SVNServer.html#rev_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.get_locations
  subvertpy.ra_svn.SVNServer.html#get_locations
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.update
  subvertpy.ra_svn.SVNServer.html#update
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.commands
  subvertpy.ra_svn.SVNServer.html#commands
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.send_auth_request
  subvertpy.ra_svn.SVNServer.html#send_auth_request
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.serve
  subvertpy.ra_svn.SVNServer.html#serve
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.client_user_agent
  subvertpy.ra_svn.SVNServer.html#client_user_agent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.capabilities
  subvertpy.ra_svn.SVNServer.html#capabilities
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.version
  subvertpy.ra_svn.SVNServer.html#version
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.url
  subvertpy.ra_svn.SVNServer.html#url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.close
  subvertpy.ra_svn.SVNServer.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.SVNServer.mutter
  subvertpy.ra_svn.SVNServer.html#mutter
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNRequestHandler
  subvertpy.ra_svn.TCPSVNRequestHandler.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNRequestHandler.__init__
  subvertpy.ra_svn.TCPSVNRequestHandler.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNRequestHandler._server
  subvertpy.ra_svn.TCPSVNRequestHandler.html#_server
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.TCPSVNRequestHandler.handle
  subvertpy.ra_svn.TCPSVNRequestHandler.html#handle
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNServer
  subvertpy.ra_svn.TCPSVNServer.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNServer.allow_reuse_address
  subvertpy.ra_svn.TCPSVNServer.html#allow_reuse_address
  Attribute
  Class Variable
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNServer.__init__
  subvertpy.ra_svn.TCPSVNServer.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.ra_svn.TCPSVNServer._logf
  subvertpy.ra_svn.TCPSVNServer.html#_logf
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra_svn.TCPSVNServer._backend
  subvertpy.ra_svn.TCPSVNServer.html#_backend
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.ra.url_handlers
  subvertpy.ra.html#url_handlers
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.ra.RemoteAccess
  subvertpy.ra.html#RemoteAccess
  Function
  Function
  PUBLIC
  Connect to a remote Subversion server
- subvertpy.tests.__author__
  subvertpy.tests.html#__author__
  Attribute
  Variable
  PUBLIC
  Undocumented
- subvertpy.tests.rmtree_with_readonly
  subvertpy.tests.html#rmtree_with_readonly
  Function
  Function
  PUBLIC
  Simple wrapper for shutil.rmtree that can remove read-only files.
- subvertpy.tests.TestCase
  subvertpy.tests.TestCase.html
  Class
  Class
  PUBLIC
  Base test case.
- subvertpy.tests.TestCase.assertIsInstance
  subvertpy.tests.TestCase.html#assertIsInstance
  Function
  Method
  PUBLIC
  Fail if obj is not an instance of kls
- subvertpy.tests.TestCase.assertIs
  subvertpy.tests.TestCase.html#assertIs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCaseInTempDir
  subvertpy.tests.TestCaseInTempDir.html
  Class
  Class
  PUBLIC
  Test case that runs in a temporary directory.
- subvertpy.tests.TestCaseInTempDir.setUp
  subvertpy.tests.TestCaseInTempDir.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCaseInTempDir._oldcwd
  subvertpy.tests.TestCaseInTempDir.html#_oldcwd
  Attribute
  Instance Variable
  PRIVATE
  Undocumented
- subvertpy.tests.TestCaseInTempDir.test_dir
  subvertpy.tests.TestCaseInTempDir.html#test_dir
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestCaseInTempDir.tearDown
  subvertpy.tests.TestCaseInTempDir.html#tearDown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor
  subvertpy.tests.TestFileEditor.html
  Class
  Class
  PUBLIC
  Simple file editor wrapper that doesn't require closing.
- subvertpy.tests.TestFileEditor.__init__
  subvertpy.tests.TestFileEditor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor.file
  subvertpy.tests.TestFileEditor.html#file
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor.is_closed
  subvertpy.tests.TestFileEditor.html#is_closed
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor.change_prop
  subvertpy.tests.TestFileEditor.html#change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor.modify
  subvertpy.tests.TestFileEditor.html#modify
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestFileEditor.close
  subvertpy.tests.TestFileEditor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor
  subvertpy.tests.TestDirEditor.html
  Class
  Class
  PUBLIC
  Simple dir editor wrapper that doesn't require closing.
- subvertpy.tests.TestDirEditor.__init__
  subvertpy.tests.TestDirEditor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.dir
  subvertpy.tests.TestDirEditor.html#dir
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.baseurl
  subvertpy.tests.TestDirEditor.html#baseurl
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.revnum
  subvertpy.tests.TestDirEditor.html#revnum
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.is_closed
  subvertpy.tests.TestDirEditor.html#is_closed
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.children
  subvertpy.tests.TestDirEditor.html#children
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.close_children
  subvertpy.tests.TestDirEditor.html#close_children
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.close
  subvertpy.tests.TestDirEditor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.change_prop
  subvertpy.tests.TestDirEditor.html#change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.open_dir
  subvertpy.tests.TestDirEditor.html#open_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.open_file
  subvertpy.tests.TestDirEditor.html#open_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.add_dir
  subvertpy.tests.TestDirEditor.html#add_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.add_file
  subvertpy.tests.TestDirEditor.html#add_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestDirEditor.delete
  subvertpy.tests.TestDirEditor.html#delete
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCommitEditor
  subvertpy.tests.TestCommitEditor.html
  Class
  Class
  PUBLIC
  Simple commit editor wrapper.
- subvertpy.tests.TestCommitEditor.__init__
  subvertpy.tests.TestCommitEditor.html#__init__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCommitEditor.editor
  subvertpy.tests.TestCommitEditor.html#editor
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.TestCommitEditor.close
  subvertpy.tests.TestCommitEditor.html#close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCommitEditor.__enter__
  subvertpy.tests.TestCommitEditor.html#__enter__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.TestCommitEditor.__exit__
  subvertpy.tests.TestCommitEditor.html#__exit__
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase
  subvertpy.tests.SubversionTestCase.html
  Class
  Class
  PUBLIC
  A test case that provides the ability to build Subversion repositories.
- subvertpy.tests.SubversionTestCase._init_client
  subvertpy.tests.SubversionTestCase.html#_init_client
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.tests.SubversionTestCase.client_ctx
  subvertpy.tests.SubversionTestCase.html#client_ctx
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.setUp
  subvertpy.tests.SubversionTestCase.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.tearDown
  subvertpy.tests.SubversionTestCase.html#tearDown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.log_message_func
  subvertpy.tests.SubversionTestCase.html#log_message_func
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.make_repository
  subvertpy.tests.SubversionTestCase.html#make_repository
  Function
  Method
  PUBLIC
  Create a repository.
- subvertpy.tests.SubversionTestCase.make_checkout
  subvertpy.tests.SubversionTestCase.html#make_checkout
  Function
  Method
  PUBLIC
  Create a new checkout.
- subvertpy.tests.SubversionTestCase.client_set_prop
  subvertpy.tests.SubversionTestCase.html#client_set_prop
  Function
  Method
  PUBLIC
  Set a property on a local file or directory.
- subvertpy.tests.SubversionTestCase.client_get_prop
  subvertpy.tests.SubversionTestCase.html#client_get_prop
  Function
  Method
  PUBLIC
  Retrieve a property from a local or remote file or directory.
- subvertpy.tests.SubversionTestCase.client_get_revprop
  subvertpy.tests.SubversionTestCase.html#client_get_revprop
  Function
  Method
  PUBLIC
  Get the revision property.
- subvertpy.tests.SubversionTestCase.client_set_revprop
  subvertpy.tests.SubversionTestCase.html#client_set_revprop
  Function
  Method
  PUBLIC
  Set a revision property on a repository.
- subvertpy.tests.SubversionTestCase.client_resolve
  subvertpy.tests.SubversionTestCase.html#client_resolve
  Function
  Method
  PUBLIC
  Resolve a conflict set on a local path.
- subvertpy.tests.SubversionTestCase.client_lock
  subvertpy.tests.SubversionTestCase.html#client_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.client_unlock
  subvertpy.tests.SubversionTestCase.html#client_unlock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.client_commit
  subvertpy.tests.SubversionTestCase.html#client_commit
  Function
  Method
  PUBLIC
  Commit current changes in specified working copy.
- subvertpy.tests.SubversionTestCase.next_message
  subvertpy.tests.SubversionTestCase.html#next_message
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.SubversionTestCase.client_add
  subvertpy.tests.SubversionTestCase.html#client_add
  Function
  Method
  PUBLIC
  Add specified files to working copy.
- subvertpy.tests.SubversionTestCase.client_log
  subvertpy.tests.SubversionTestCase.html#client_log
  Function
  Method
  PUBLIC
  Fetch the log
- subvertpy.tests.SubversionTestCase.client_delete
  subvertpy.tests.SubversionTestCase.html#client_delete
  Function
  Method
  PUBLIC
  Remove specified files from working copy.
- subvertpy.tests.SubversionTestCase.client_copy
  subvertpy.tests.SubversionTestCase.html#client_copy
  Function
  Method
  PUBLIC
  Copy file in working copy.
- subvertpy.tests.SubversionTestCase.client_update
  subvertpy.tests.SubversionTestCase.html#client_update
  Function
  Method
  PUBLIC
  Update path.
- subvertpy.tests.SubversionTestCase.build_tree
  subvertpy.tests.SubversionTestCase.html#build_tree
  Function
  Method
  PUBLIC
  Create a directory tree.
- subvertpy.tests.SubversionTestCase.make_client
  subvertpy.tests.SubversionTestCase.html#make_client
  Function
  Method
  PUBLIC
  Create a repository and a checkout. Return the checkout.
- subvertpy.tests.SubversionTestCase.open_fs
  subvertpy.tests.SubversionTestCase.html#open_fs
  Function
  Method
  PUBLIC
  Open a fs.
- subvertpy.tests.SubversionTestCase.get_commit_editor
  subvertpy.tests.SubversionTestCase.html#get_commit_editor
  Function
  Method
  PUBLIC
  Obtain a commit editor.
- subvertpy.tests.test_suite
  subvertpy.tests.html#test_suite
  Function
  Function
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.VersionTest
  subvertpy.tests.test_client.VersionTest.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.VersionTest.test_version_length
  subvertpy.tests.test_client.VersionTest.html#test_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.VersionTest.test_api_version_length
  subvertpy.tests.test_client.VersionTest.html#test_api_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.VersionTest.test_api_version_later_same
  subvertpy.tests.test_client.VersionTest.html#test_api_version_later_same
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient
  subvertpy.tests.test_client.TestClient.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.setUp
  subvertpy.tests.test_client.TestClient.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.repos_url
  subvertpy.tests.test_client.TestClient.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.client
  subvertpy.tests.test_client.TestClient.html#client
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.tearDown
  subvertpy.tests.test_client.TestClient.html#tearDown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_add
  subvertpy.tests.test_client.TestClient.html#test_add
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_commit
  subvertpy.tests.test_client.TestClient.html#test_commit
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_commit_start
  subvertpy.tests.test_client.TestClient.html#test_commit_start
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_mkdir
  subvertpy.tests.test_client.TestClient.html#test_mkdir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_export
  subvertpy.tests.test_client.TestClient.html#test_export
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_export_new_option
  subvertpy.tests.test_client.TestClient.html#test_export_new_option
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_set_config
  subvertpy.tests.test_client.TestClient.html#test_set_config
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_set_config_none
  subvertpy.tests.test_client.TestClient.html#test_set_config_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_get_config
  subvertpy.tests.test_client.TestClient.html#test_get_config
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff
  subvertpy.tests.test_client.TestClient.html#test_diff
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.assertCatEquals
  subvertpy.tests.test_client.TestClient.html#assertCatEquals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_cat
  subvertpy.tests.test_client.TestClient.html#test_cat
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.assertLogEntryChangedPathsEquals
  subvertpy.tests.test_client.TestClient.html#assertLogEntryChangedPathsEquals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.assertLogEntryMessageEquals
  subvertpy.tests.test_client.TestClient.html#assertLogEntryMessageEquals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.assertLogEntryDateAlmostEquals
  subvertpy.tests.test_client.TestClient.html#assertLogEntryDateAlmostEquals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_log
  subvertpy.tests.test_client.TestClient.html#test_log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_info
  subvertpy.tests.test_client.TestClient.html#test_info
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_info_nonexistant
  subvertpy.tests.test_client.TestClient.html#test_info_nonexistant
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_set_get_prop_with_path
  subvertpy.tests.test_client.TestClient.html#test_set_get_prop_with_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_set_get_prop_with_url
  subvertpy.tests.test_client.TestClient.html#test_set_get_prop_with_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_checkout
  subvertpy.tests.test_client.TestClient.html#test_checkout
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_delete
  subvertpy.tests.test_client.TestClient.html#test_delete
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy
  subvertpy.tests.test_client.TestClient.html#test_copy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_propset_propget
  subvertpy.tests.test_client.TestClient.html#test_propset_propget
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_propget_url
  subvertpy.tests.test_client.TestClient.html#test_propget_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_propget_abspath
  subvertpy.tests.test_client.TestClient.html#test_propget_abspath
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_proplist
  subvertpy.tests.test_client.TestClient.html#test_proplist
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_update
  subvertpy.tests.test_client.TestClient.html#test_update
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_list
  subvertpy.tests.test_client.TestClient.html#test_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_config
  subvertpy.tests.test_client.TestClient.html#test_config
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_config_default_ignores
  subvertpy.tests.test_client.TestClient.html#test_config_default_ignores
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_lock_unlock
  subvertpy.tests.test_client.TestClient.html#test_lock_unlock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_resolve
  subvertpy.tests.test_client.TestClient.html#test_resolve
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_add_with_options
  subvertpy.tests.test_client.TestClient.html#test_add_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_commit_with_options
  subvertpy.tests.test_client.TestClient.html#test_commit_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_commit_revprops
  subvertpy.tests.test_client.TestClient.html#test_commit_revprops
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_update_with_options
  subvertpy.tests.test_client.TestClient.html#test_update_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_checkout_with_options
  subvertpy.tests.test_client.TestClient.html#test_checkout_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_export_with_options
  subvertpy.tests.test_client.TestClient.html#test_export_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff_with_options
  subvertpy.tests.test_client.TestClient.html#test_diff_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_log_with_options
  subvertpy.tests.test_client.TestClient.html#test_log_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_cat_with_peg_revision
  subvertpy.tests.test_client.TestClient.html#test_cat_with_peg_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_delete_keep_local
  subvertpy.tests.test_client.TestClient.html#test_delete_keep_local
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy_with_options
  subvertpy.tests.test_client.TestClient.html#test_copy_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_info_with_options
  subvertpy.tests.test_client.TestClient.html#test_info_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_lock_steal
  subvertpy.tests.test_client.TestClient.html#test_lock_steal
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_mkdir_make_parents
  subvertpy.tests.test_client.TestClient.html#test_mkdir_make_parents
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_mkdir_with_callback
  subvertpy.tests.test_client.TestClient.html#test_mkdir_with_callback
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_propset_skip_checks
  subvertpy.tests.test_client.TestClient.html#test_propset_skip_checks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_propset_with_options
  subvertpy.tests.test_client.TestClient.html#test_propset_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_cat_expand_keywords
  subvertpy.tests.test_client.TestClient.html#test_cat_expand_keywords
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_export_native_eol
  subvertpy.tests.test_client.TestClient.html#test_export_native_eol
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_list_include_externals
  subvertpy.tests.test_client.TestClient.html#test_list_include_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_delete_with_callback
  subvertpy.tests.test_client.TestClient.html#test_delete_with_callback
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy_with_src_rev
  subvertpy.tests.test_client.TestClient.html#test_copy_with_src_rev
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_get_config_with_dir
  subvertpy.tests.test_client.TestClient.html#test_get_config_with_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy_pin_externals
  subvertpy.tests.test_client.TestClient.html#test_copy_pin_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy_metadata_only
  subvertpy.tests.test_client.TestClient.html#test_copy_metadata_only
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_copy_with_callback
  subvertpy.tests.test_client.TestClient.html#test_copy_with_callback
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff_relative_to_dir
  subvertpy.tests.test_client.TestClient.html#test_diff_relative_to_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff_encoding
  subvertpy.tests.test_client.TestClient.html#test_diff_encoding
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff_ignore_content_type
  subvertpy.tests.test_client.TestClient.html#test_diff_ignore_content_type
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_diff_diffopts
  subvertpy.tests.test_client.TestClient.html#test_diff_diffopts
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_client.TestClient.test_notify_func_set_get
  subvertpy.tests.test_client.TestClient.html#test_notify_func_set_get
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore
  subvertpy.tests.test_core.TestCore.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.setUp
  subvertpy.tests.test_core.TestCore.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc
  subvertpy.tests.test_core.TestCore.html#test_exc
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc_args
  subvertpy.tests.test_core.TestCore.html#test_exc_args
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc_child
  subvertpy.tests.test_core.TestCore.html#test_exc_child
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc_location
  subvertpy.tests.test_core.TestCore.html#test_exc_location
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc_child_default_none
  subvertpy.tests.test_core.TestCore.html#test_exc_child_default_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCore.test_exc_location_default_none
  subvertpy.tests.test_core.TestCore.html#test_exc_location_default_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants
  subvertpy.tests.test_core.TestConstants.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_node_constants
  subvertpy.tests.test_core.TestConstants.html#test_node_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_error_constants_are_ints
  subvertpy.tests.test_core.TestConstants.html#test_error_constants_are_ints
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_error_constants_values
  subvertpy.tests.test_core.TestConstants.html#test_error_constants_values
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_wc_not_working_copy_aliases
  subvertpy.tests.test_core.TestConstants.html#test_wc_not_working_copy_aliases
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_auth_param_constants
  subvertpy.tests.test_core.TestConstants.html#test_auth_param_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_ssl_constants
  subvertpy.tests.test_core.TestConstants.html#test_ssl_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestConstants.test_apr_error_constants
  subvertpy.tests.test_core.TestConstants.html#test_apr_error_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCheckMtime
  subvertpy.tests.test_core.TestCheckMtime.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCheckMtime.test_check_mtime_c_file_missing
  subvertpy.tests.test_core.TestCheckMtime.html#test_check_mtime_c_file_missing
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCheckMtime.test_check_mtime_c_file_older
  subvertpy.tests.test_core.TestCheckMtime.html#test_check_mtime_c_file_older
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCheckMtime.test_check_mtime_c_file_newer
  subvertpy.tests.test_core.TestCheckMtime.html#test_check_mtime_c_file_newer
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_core.TestCheckMtime.test_version
  subvertpy.tests.test_core.TestCheckMtime.html#test_version
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests
  subvertpy.tests.test_delta.DeltaTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.setUp
  subvertpy.tests.test_delta.DeltaTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.windows
  subvertpy.tests.test_delta.DeltaTests.html#windows
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.storing_window_handler
  subvertpy.tests.test_delta.DeltaTests.html#storing_window_handler
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_send_stream
  subvertpy.tests.test_delta.DeltaTests.html#test_send_stream
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_send_stream_returns_md5
  subvertpy.tests.test_delta.DeltaTests.html#test_send_stream_returns_md5
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_send_stream_empty
  subvertpy.tests.test_delta.DeltaTests.html#test_send_stream_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_send_stream_non_bytes_raises
  subvertpy.tests.test_delta.DeltaTests.html#test_send_stream_non_bytes_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_send_stream_custom_block_size
  subvertpy.tests.test_delta.DeltaTests.html#test_send_stream_custom_block_size
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_apply_delta
  subvertpy.tests.test_delta.DeltaTests.html#test_apply_delta
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_apply_txdelta_handler_none_is_noop
  subvertpy.tests.test_delta.DeltaTests.html#test_apply_txdelta_handler_none_is_noop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_apply_txdelta_handler_chunks
  subvertpy.tests.test_delta.DeltaTests.html#test_apply_txdelta_handler_chunks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.DeltaTests.test_apply_txdelta_handler_chunks_source_copy
  subvertpy.tests.test_delta.DeltaTests.html#test_apply_txdelta_handler_chunks_source_copy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests.test_source_copy
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html#test_source_copy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests.test_new_data
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html#test_new_data
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests.test_target_copy
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html#test_target_copy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests.test_invalid_action_raises
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html#test_invalid_action_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.TxDeltaApplyOpsTests.test_empty_ops
  subvertpy.tests.test_delta.TxDeltaApplyOpsTests.html#test_empty_ops
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ApplyTxDeltaWindowTests
  subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.test_simple_new
  subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.html#test_simple_new
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.test_source_copy
  subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.html#test_source_copy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.test_tview_len_mismatch_raises
  subvertpy.tests.test_delta.ApplyTxDeltaWindowTests.html#test_tview_len_mismatch_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests
  subvertpy.tests.test_delta.MarshallTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_encode_length
  subvertpy.tests.test_delta.MarshallTests.html#test_encode_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_encode_length_zero
  subvertpy.tests.test_delta.MarshallTests.html#test_encode_length_zero
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_encode_length_small
  subvertpy.tests.test_delta.MarshallTests.html#test_encode_length_small
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_encode_length_large
  subvertpy.tests.test_delta.MarshallTests.html#test_encode_length_large
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_roundtrip_length
  subvertpy.tests.test_delta.MarshallTests.html#test_roundtrip_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_roundtrip_length_various
  subvertpy.tests.test_delta.MarshallTests.html#test_roundtrip_length_various
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_roundtrip_window
  subvertpy.tests.test_delta.MarshallTests.html#test_roundtrip_window
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_roundtrip_window_multiple
  subvertpy.tests.test_delta.MarshallTests.html#test_roundtrip_window_multiple
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_pack_svndiff0_header
  subvertpy.tests.test_delta.MarshallTests.html#test_pack_svndiff0_header
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.MarshallTests.test_unpack_svndiff0_empty
  subvertpy.tests.test_delta.MarshallTests.html#test_unpack_svndiff0_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests
  subvertpy.tests.test_delta.SvndiffInstructionTests.html
  Class
  Class
  PUBLIC
  No class docstring; 1/6 method documented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_pack_unpack_new_short
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_pack_unpack_new_short
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_pack_unpack_source
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_pack_unpack_source
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_pack_unpack_target
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_pack_unpack_target
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_pack_unpack_long_length
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_pack_unpack_long_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_pack_unpack_source_long
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_pack_unpack_source_long
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.SvndiffInstructionTests.test_roundtrip_through_window
  subvertpy.tests.test_delta.SvndiffInstructionTests.html#test_roundtrip_through_window
  Function
  Method
  PUBLIC
  Pack instructions into a window, then unpack.
- subvertpy.tests.test_delta.ConstantsTests
  subvertpy.tests.test_delta.ConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ConstantsTests.test_txdelta_constants
  subvertpy.tests.test_delta.ConstantsTests.html#test_txdelta_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ConstantsTests.test_max_encoded_int_len
  subvertpy.tests.test_delta.ConstantsTests.html#test_max_encoded_int_len
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ConstantsTests.test_delta_window_size
  subvertpy.tests.test_delta.ConstantsTests.html#test_delta_window_size
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_delta.ConstantsTests.test_svndiff0_header
  subvertpy.tests.test_delta.ConstantsTests.html#test_svndiff0_header
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling
  subvertpy.tests.test_marshall.TestMarshalling.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_txt
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_txt
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_str
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_str
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_rep
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_rep
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_eq_same
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_eq_same
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_eq_different
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_eq_different
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_literal_eq_non_literal
  subvertpy.tests.test_marshall.TestMarshalling.html#test_literal_eq_non_literal
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_error
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_error
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_need_more_data_is_marshall_error
  subvertpy.tests.test_marshall.TestMarshalling.html#test_need_more_data_is_marshall_error
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_need_more_data
  subvertpy.tests.test_marshall.TestMarshalling.html#test_need_more_data
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_int
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_int
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_int_zero
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_int_zero
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_int_large
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_int_large
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_list
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_list_mixed
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_list_mixed
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_literal
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_literal
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_string
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_string
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_bytes
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_bytes
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_bytes_binary
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_bytes_binary
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_string_utf8
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_string_utf8
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_raises
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_list_nested
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_list_nested
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_list_empty
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_list_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_tuple
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_tuple
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_string_space
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_string_space
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_string_empty
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_string_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_string
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_string
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_list
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_list_empty
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_list_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_list_nested
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_list_nested
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_int
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_int
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_int_zero
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_int_zero
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_int_large
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_int_large
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_literal
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_literal
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_literal_with_digits
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_literal_with_digits
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_literal_with_dash
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_literal_with_dash
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_empty
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_nospace
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_nospace
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_toolong
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_toolong
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_literal_negative
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_literal_negative
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_open_list
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_open_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_remaining_data
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_remaining_data
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_list_missing_space_after_open
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_list_missing_space_after_open
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_need_more_data_list_start
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_need_more_data_list_start
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_roundtrip_int
  subvertpy.tests.test_marshall.TestMarshalling.html#test_roundtrip_int
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_roundtrip_string
  subvertpy.tests.test_marshall.TestMarshalling.html#test_roundtrip_string
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_roundtrip_list
  subvertpy.tests.test_marshall.TestMarshalling.html#test_roundtrip_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_roundtrip_literal
  subvertpy.tests.test_marshall.TestMarshalling.html#test_roundtrip_literal
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_roundtrip_nested
  subvertpy.tests.test_marshall.TestMarshalling.html#test_roundtrip_nested
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_bool_true
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_bool_true
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_bool_false
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_bool_false
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_none_raises
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_none_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_marshall_float_raises
  subvertpy.tests.test_marshall.TestMarshalling.html#test_marshall_float_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_literal_newline_separator
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_literal_newline_separator
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_int_newline_separator
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_int_newline_separator
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_marshall.TestMarshalling.test_unmarshall_list_newline_separator
  subvertpy.tests.test_marshall.TestMarshalling.html#test_unmarshall_list_newline_separator
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestProperties
  subvertpy.tests.test_properties.TestProperties.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestProperties.setUp
  subvertpy.tests.test_properties.TestProperties.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestProperties.test_time_from_cstring
  subvertpy.tests.test_properties.TestProperties.html#test_time_from_cstring
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestProperties.test_time_from_cstring_independent_from_dst
  subvertpy.tests.test_properties.TestProperties.html#test_time_from_cstring_independent_from_dst
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestProperties.test_time_to_cstring
  subvertpy.tests.test_properties.TestProperties.html#test_time_to_cstring
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser
  subvertpy.tests.test_properties.TestExternalsParser.html
  Class
  Class
  PUBLIC
  No class docstring; 2/10 methods documented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_root_relative_externals
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_root_relative_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_scheme_relative_externals
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_scheme_relative_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_externals
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_externals_space_revno
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_externals_space_revno
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_externals_swapped
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_externals_swapped
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_comment
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_comment
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_relative
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_relative
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_repos_root_relative
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_repos_root_relative
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_invalid_missing_url
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_invalid_missing_url
  Function
  Method
  PUBLIC
  No URL specified.
- subvertpy.tests.test_properties.TestExternalsParser.test_parse_invalid_too_much_data
  subvertpy.tests.test_properties.TestExternalsParser.html#test_parse_invalid_too_much_data
  Function
  Method
  PUBLIC
  No URL specified.
- subvertpy.tests.test_properties.MergeInfoPropertyParserTests
  subvertpy.tests.test_properties.MergeInfoPropertyParserTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyParserTests.test_simple_range
  subvertpy.tests.test_properties.MergeInfoPropertyParserTests.html#test_simple_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyParserTests.test_simple_range_uninheritable
  subvertpy.tests.test_properties.MergeInfoPropertyParserTests.html#test_simple_range_uninheritable
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyParserTests.test_simple_individual
  subvertpy.tests.test_properties.MergeInfoPropertyParserTests.html#test_simple_individual
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyParserTests.test_empty
  subvertpy.tests.test_properties.MergeInfoPropertyParserTests.html#test_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.test_simple_range
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.html#test_simple_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.test_simple_individual
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.html#test_simple_individual
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.test_empty
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorTests.html#test_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests
  subvertpy.tests.test_properties.RevnumRangeTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_empty
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_before
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_before
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_included
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_included
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_after
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_after
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_extend_before
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_extend_before
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_add_revnum_extend_after
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_add_revnum_extend_after
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_revnum_includes_empty
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_revnum_includes_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_revnum_includes_oor
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_revnum_includes_oor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.RevnumRangeTests.test_revnum_includes_in
  subvertpy.tests.test_properties.RevnumRangeTests.html#test_revnum_includes_in
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoIncludeTests
  subvertpy.tests.test_properties.MergeInfoIncludeTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoIncludeTests.test_includes_individual
  subvertpy.tests.test_properties.MergeInfoIncludeTests.html#test_includes_individual
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoIncludeTests.test_includes_range
  subvertpy.tests.test_properties.MergeInfoIncludeTests.html#test_includes_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoIncludeTests.test_includes_invalid_path
  subvertpy.tests.test_properties.MergeInfoIncludeTests.html#test_includes_invalid_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoIncludeTests.test_includes_invalid_revnum
  subvertpy.tests.test_properties.MergeInfoIncludeTests.html#test_includes_invalid_revnum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoAddRevisionTests
  subvertpy.tests.test_properties.MergeInfoAddRevisionTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoAddRevisionTests.test_add_new_path
  subvertpy.tests.test_properties.MergeInfoAddRevisionTests.html#test_add_new_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoAddRevisionTests.test_add_to_existing_path
  subvertpy.tests.test_properties.MergeInfoAddRevisionTests.html#test_add_to_existing_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoAddRevisionTests.test_add_extends_range
  subvertpy.tests.test_properties.MergeInfoAddRevisionTests.html#test_add_extends_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoAddRevisionTests.test_add_already_included
  subvertpy.tests.test_properties.MergeInfoAddRevisionTests.html#test_add_already_included
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_simple_name
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_simple_name
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_name_with_colon
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_name_with_colon
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_name_with_underscore_start
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_name_with_underscore_start
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_alphanumeric
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_alphanumeric
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_with_dash
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_with_dash
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_with_dot
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_with_dot
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_invalid_start
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_invalid_start
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_invalid_char
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_invalid_char
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.IsValidPropertyNameTests.test_svn_prefix
  subvertpy.tests.test_properties.IsValidPropertyNameTests.html#test_svn_prefix
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests
  subvertpy.tests.test_properties.PropertyDiffTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_empty
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_added
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_added
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_changed
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_changed
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_unchanged
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_unchanged
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_multiple_changes
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_multiple_changes
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyDiffTests.test_diff_only_reports_current_keys
  subvertpy.tests.test_properties.PropertyDiffTests.html#test_diff_only_reports_current_keys
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests
  subvertpy.tests.test_properties.PropertyConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_executable
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_executable
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_externals
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_externals
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_mergeinfo
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_mergeinfo
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_revision_log
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_revision_log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_revision_author
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_revision_author
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_revision_date
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_revision_date
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_special
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_special
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.PropertyConstantsTests.test_prop_prefix
  subvertpy.tests.test_properties.PropertyConstantsTests.html#test_prop_prefix
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.ExternalsParserAdditionalTests
  subvertpy.tests.test_properties.ExternalsParserAdditionalTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.ExternalsParserAdditionalTests.test_parse_swapped_with_revision_dash_r_x
  subvertpy.tests.test_properties.ExternalsParserAdditionalTests.html#test_parse_swapped_with_revision_dash_r_x
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.ExternalsParserAdditionalTests.test_parse_dir_dash_r_x_url
  subvertpy.tests.test_properties.ExternalsParserAdditionalTests.html#test_parse_dir_dash_r_x_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.ExternalsParserAdditionalTests.test_parse_empty
  subvertpy.tests.test_properties.ExternalsParserAdditionalTests.html#test_parse_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.ExternalsParserAdditionalTests.test_parse_comment_only
  subvertpy.tests.test_properties.ExternalsParserAdditionalTests.html#test_parse_comment_only
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.test_uninheritable_range
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.html#test_uninheritable_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.test_uninheritable_individual
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.html#test_uninheritable_individual
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.test_multiple_ranges
  subvertpy.tests.test_properties.MergeInfoPropertyCreatorAdditionalTests.html#test_multiple_ranges
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.VersionTest
  subvertpy.tests.test_ra.VersionTest.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.VersionTest.test_version_length
  subvertpy.tests.test_ra.VersionTest.html#test_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.VersionTest.test_api_version_length
  subvertpy.tests.test_ra.VersionTest.html#test_api_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.VersionTest.test_api_version_later_same
  subvertpy.tests.test_ra.VersionTest.html#test_api_version_later_same
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessUnknown
  subvertpy.tests.test_ra.TestRemoteAccessUnknown.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessUnknown.test_unknown_url
  subvertpy.tests.test_ra.TestRemoteAccessUnknown.html#test_unknown_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessUnknown.test_unknown_url_bytes
  subvertpy.tests.test_ra.TestRemoteAccessUnknown.html#test_unknown_url_bytes
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessUnknown.test_url_handlers_populated
  subvertpy.tests.test_ra.TestRemoteAccessUnknown.html#test_url_handlers_populated
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess
  subvertpy.tests.test_ra.TestRemoteAccess.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.setUp
  subvertpy.tests.test_ra.TestRemoteAccess.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.repos_url
  subvertpy.tests.test_ra.TestRemoteAccess.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.ra
  subvertpy.tests.test_ra.TestRemoteAccess.html#ra
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.tearDown
  subvertpy.tests.test_ra.TestRemoteAccess.html#tearDown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.commit_editor
  subvertpy.tests.test_ra.TestRemoteAccess.html#commit_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.do_commit
  subvertpy.tests.test_ra.TestRemoteAccess.html#do_commit
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_repr
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_repr
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_latest_revnum
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_latest_revnum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_latest_revnum_one
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_latest_revnum_one
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_uuid
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_uuid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_repos_root
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_repos_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_url
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_reparent
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_reparent
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_has_capability
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_has_capability
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_dir
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_dir_leading_slash
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_dir_leading_slash
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_dir_kind
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_dir_kind
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_change_rev_prop
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_change_rev_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_rev_proplist
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_rev_proplist
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_do_diff
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_do_diff
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_iter_log_invalid
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_iter_log_invalid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_iter_log
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_iter_log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_log
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_log
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_log_cancel
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_log_cancel
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_double_close
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_double_close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_busy
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_busy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_double_open
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_double_open
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_custom_revprops
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_custom_revprops
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_context_manager
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_context_manager
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_commit_editor_with_lock_tokens
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_commit_editor_with_lock_tokens
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_log_with_limit
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_log_with_limit
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_change_rev_prop_old_value
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_change_rev_prop_old_value
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_do_diff_with_options
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_do_diff_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_replay_send_deltas
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_replay_send_deltas
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_replay_range_send_deltas
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_replay_range_send_deltas
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_do_update_with_options
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_do_update_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_do_switch_with_options
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_do_switch_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_file_revs_include_merged
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_file_revs_include_merged
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_mergeinfo_with_options
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_mergeinfo_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_commit_file_props
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_commit_file_props
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_file_revs
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_file_revs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_file
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_locations_root
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_locations_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_check_path
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_check_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_stat
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_stat
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccess.test_get_locations_dir
  subvertpy.tests.test_ra.TestRemoteAccess.html#test_get_locations_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations
  subvertpy.tests.test_ra.TestEditorOperations.html
  Class
  Class
  PUBLIC
  Tests for editor operations: delete_entry, open_directory, etc.
- subvertpy.tests.test_ra.TestEditorOperations.setUp
  subvertpy.tests.test_ra.TestEditorOperations.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.repos_url
  subvertpy.tests.test_ra.TestEditorOperations.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.commit_editor
  subvertpy.tests.test_ra.TestEditorOperations.html#commit_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.test_delete_entry
  subvertpy.tests.test_ra.TestEditorOperations.html#test_delete_entry
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.test_open_directory
  subvertpy.tests.test_ra.TestEditorOperations.html#test_open_directory
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.test_dir_change_prop
  subvertpy.tests.test_ra.TestEditorOperations.html#test_dir_change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.test_absent_file
  subvertpy.tests.test_ra.TestEditorOperations.html#test_absent_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestEditorOperations.test_absent_directory
  subvertpy.tests.test_ra.TestEditorOperations.html#test_absent_directory
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests
  subvertpy.tests.test_ra.AuthTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_not_list
  subvertpy.tests.test_ra.AuthTests.html#test_not_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_not_registered
  subvertpy.tests.test_ra.AuthTests.html#test_not_registered
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_simple
  subvertpy.tests.test_ra.AuthTests.html#test_simple
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_username
  subvertpy.tests.test_ra.AuthTests.html#test_username
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_client_cert
  subvertpy.tests.test_ra.AuthTests.html#test_client_cert
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_client_cert_pw
  subvertpy.tests.test_ra.AuthTests.html#test_client_cert_pw
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_server_trust
  subvertpy.tests.test_ra.AuthTests.html#test_server_trust
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_server_untrust
  subvertpy.tests.test_ra.AuthTests.html#test_server_untrust
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_retry
  subvertpy.tests.test_ra.AuthTests.html#test_retry
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.i
  subvertpy.tests.test_ra.AuthTests.html#i
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_set_default_username
  subvertpy.tests.test_ra.AuthTests.html#test_set_default_username
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_set_default_password
  subvertpy.tests.test_ra.AuthTests.html#test_set_default_password
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.AuthTests.test_platform_auth_providers
  subvertpy.tests.test_ra.AuthTests.html#test_platform_auth_providers
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders
  subvertpy.tests.test_ra.TestProviders.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_get_simple_provider
  subvertpy.tests.test_ra.TestProviders.html#test_get_simple_provider
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_get_username_provider
  subvertpy.tests.test_ra.TestProviders.html#test_get_username_provider
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_get_ssl_client_cert_file_provider
  subvertpy.tests.test_ra.TestProviders.html#test_get_ssl_client_cert_file_provider
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_get_ssl_client_cert_pw_file_provider
  subvertpy.tests.test_ra.TestProviders.html#test_get_ssl_client_cert_pw_file_provider
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_get_ssl_server_trust_file_provider
  subvertpy.tests.test_ra.TestProviders.html#test_get_ssl_server_trust_file_provider
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestProviders.test_print_modules
  subvertpy.tests.test_ra.TestProviders.html#test_print_modules
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.setUp
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.repos_url
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.ra_ctx
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#ra_ctx
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.tearDown
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#tearDown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_url_property
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_url_property
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_busy_property
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_busy_property
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_lock_nonexistent
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_lock_nonexistent
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_has_capability_mergeinfo
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_has_capability_mergeinfo
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_has_capability_unknown
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_has_capability_unknown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.do_commit
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#do_commit
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_do_update
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_do_update
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_replay
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_replay
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_location_segments
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_location_segments
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_commit_editor_abort
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_commit_editor_abort
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_editor_dir_context_manager
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_editor_dir_context_manager
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_locks_empty
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_locks_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_lock_unlock
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_lock_unlock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_locks_with_lock
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_locks_with_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_locks_with_depth
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_locks_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_do_switch
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_do_switch
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_replay_range
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_replay_range
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_constructor_client_string_func
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_constructor_client_string_func
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_constructor_uuid
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_constructor_uuid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_constructor_progress_cb
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_constructor_progress_cb
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_get_simple_provider_callback
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_get_simple_provider_callback
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_constructor_open_tmp_file_func
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_constructor_open_tmp_file_func
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_progress_func
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_progress_func
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_constructor_config
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_constructor_config
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_reporter_set_path_with_depth
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_reporter_set_path_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_reporter_link_path_with_options
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_reporter_link_path_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_reporter_delete_path
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_reporter_delete_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_mergeinfo_empty
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_mergeinfo_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.TestRemoteAccessProperties.test_reporter_link_path
  subvertpy.tests.test_ra.TestRemoteAccessProperties.html#test_reporter_link_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.ConstantsTests
  subvertpy.tests.test_ra.ConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.ConstantsTests.test_depth_constants
  subvertpy.tests.test_ra.ConstantsTests.html#test_depth_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.ConstantsTests.test_dirent_constants
  subvertpy.tests.test_ra.ConstantsTests.html#test_dirent_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.ConstantsTests.test_mergeinfo_constants
  subvertpy.tests.test_ra.ConstantsTests.html#test_mergeinfo_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra.ConstantsTests.test_svn_revision
  subvertpy.tests.test_ra.ConstantsTests.html#test_svn_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests
  subvertpy.tests.test_ra_svn.MarkBusyTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests.test_sets_and_clears_busy
  subvertpy.tests.test_ra_svn.MarkBusyTests.html#test_sets_and_clears_busy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests.test_clears_busy_on_exception
  subvertpy.tests.test_ra_svn.MarkBusyTests.html#test_clears_busy_on_exception
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests.test_preserves_docstring
  subvertpy.tests.test_ra_svn.MarkBusyTests.html#test_preserves_docstring
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests.test_preserves_name
  subvertpy.tests.test_ra_svn.MarkBusyTests.html#test_preserves_name
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.MarkBusyTests.test_returns_value
  subvertpy.tests.test_ra_svn.MarkBusyTests.html#test_returns_value
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.UnmarshallDirentTests
  subvertpy.tests.test_ra_svn.UnmarshallDirentTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.UnmarshallDirentTests.test_basic
  subvertpy.tests.test_ra_svn.UnmarshallDirentTests.html#test_basic
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.UnmarshallDirentTests.test_with_date_and_author
  subvertpy.tests.test_ra_svn.UnmarshallDirentTests.html#test_with_date_and_author
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.UnmarshallDirentTests.test_has_props_converted_to_bool
  subvertpy.tests.test_ra_svn.UnmarshallDirentTests.html#test_has_props_converted_to_bool
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNConnectionTests
  subvertpy.tests.test_ra_svn.SVNConnectionTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNConnectionTests.test_send_msg
  subvertpy.tests.test_ra_svn.SVNConnectionTests.html#test_send_msg
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNConnectionTests.test_send_success
  subvertpy.tests.test_ra_svn.SVNConnectionTests.html#test_send_success
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNConnectionTests.test_send_success_no_args
  subvertpy.tests.test_ra_svn.SVNConnectionTests.html#test_send_success_no_args
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNConnectionTests.test_inbuffer_initialized
  subvertpy.tests.test_ra_svn.SVNConnectionTests.html#test_inbuffer_initialized
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests
  subvertpy.tests.test_ra_svn.EditorTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.setUp
  subvertpy.tests.test_ra_svn.EditorTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.sent
  subvertpy.tests.test_ra_svn.EditorTests.html#sent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.conn
  subvertpy.tests.test_ra_svn.EditorTests.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_set_target_revision
  subvertpy.tests.test_ra_svn.EditorTests.html#test_set_target_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_close
  subvertpy.tests.test_ra_svn.EditorTests.html#test_close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_abort
  subvertpy.tests.test_ra_svn.EditorTests.html#test_abort
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_open_root_returns_directory_editor
  subvertpy.tests.test_ra_svn.EditorTests.html#test_open_root_returns_directory_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_open_root_no_base_revision
  subvertpy.tests.test_ra_svn.EditorTests.html#test_open_root_no_base_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.EditorTests.test_open_root_with_base_revision
  subvertpy.tests.test_ra_svn.EditorTests.html#test_open_root_with_base_revision
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.setUp
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.sent
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#sent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.conn
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.dir_id
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#dir_id
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.de
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#de
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_change_prop
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_change_prop_none_value
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_change_prop_none_value
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_file_returns_file_editor
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_file_returns_file_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_file_with_copyfrom
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_file_with_copyfrom
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_file_no_copyfrom
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_file_no_copyfrom
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_directory_returns_directory_editor
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_directory_returns_directory_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_directory_with_copyfrom
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_directory_with_copyfrom
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_add_directory_no_copyfrom
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_add_directory_no_copyfrom
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_open_file
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_open_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_open_directory
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_open_directory
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_delete_entry
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_delete_entry
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.DirectoryEditorTests.test_close
  subvertpy.tests.test_ra_svn.DirectoryEditorTests.html#test_close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests
  subvertpy.tests.test_ra_svn.FileEditorTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.setUp
  subvertpy.tests.test_ra_svn.FileEditorTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.sent
  subvertpy.tests.test_ra_svn.FileEditorTests.html#sent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.conn
  subvertpy.tests.test_ra_svn.FileEditorTests.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.file_id
  subvertpy.tests.test_ra_svn.FileEditorTests.html#file_id
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.fe
  subvertpy.tests.test_ra_svn.FileEditorTests.html#fe
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_change_prop
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_change_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_change_prop_none
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_change_prop_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_close_no_checksum
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_close_no_checksum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_close_with_checksum
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_close_with_checksum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_apply_textdelta
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_apply_textdelta
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_apply_textdelta_with_checksum
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_apply_textdelta_with_checksum
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_apply_textdelta_handler_sends_chunks
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_apply_textdelta_handler_sends_chunks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.FileEditorTests.test_apply_textdelta_handler_sends_window
  subvertpy.tests.test_ra_svn.FileEditorTests.html#test_apply_textdelta_handler_sends_window
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SSHSubprocessTests
  subvertpy.tests.test_ra_svn.SSHSubprocessTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SSHSubprocessTests.test_get_filelike_channels
  subvertpy.tests.test_ra_svn.SSHSubprocessTests.html#test_get_filelike_channels
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SSHVendorTests
  subvertpy.tests.test_ra_svn.SSHVendorTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SSHVendorTests.test_is_instantiable
  subvertpy.tests.test_ra_svn.SSHVendorTests.html#test_is_instantiable
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests
  subvertpy.tests.test_ra_svn.ReporterTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.setUp
  subvertpy.tests.test_ra_svn.ReporterTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.sent
  subvertpy.tests.test_ra_svn.ReporterTests.html#sent
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.conn
  subvertpy.tests.test_ra_svn.ReporterTests.html#conn
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_set_path_basic
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_set_path_basic
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_set_path_start_empty
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_set_path_start_empty
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_set_path_with_lock_token
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_set_path_with_lock_token
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_set_path_with_depth
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_set_path_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_delete_path
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_delete_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_link_path_basic
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_link_path_basic
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_link_path_with_lock_token
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_link_path_with_lock_token
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_link_path_with_depth
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_link_path_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ReporterTests.test_abort
  subvertpy.tests.test_ra_svn.ReporterTests.html#test_abort
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_mutter_with_logf
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_mutter_with_logf
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_mutter_without_logf
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_mutter_without_logf
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_close_sets_stop
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_close_sets_stop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_send_failure
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_send_failure
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_send_ack
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_send_ack
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.SVNServerMutterTests.test_send_unknown
  subvertpy.tests.test_ra_svn.SVNServerMutterTests.html#test_send_unknown
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests
  subvertpy.tests.test_ra_svn.ConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests.test_svn_port
  subvertpy.tests.test_ra_svn.ConstantsTests.html#test_svn_port
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests.test_min_version
  subvertpy.tests.test_ra_svn.ConstantsTests.html#test_min_version
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests.test_max_version
  subvertpy.tests.test_ra_svn.ConstantsTests.html#test_max_version
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests.test_capabilities
  subvertpy.tests.test_ra_svn.ConstantsTests.html#test_capabilities
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_ra_svn.ConstantsTests.test_mechanisms
  subvertpy.tests.test_ra_svn.ConstantsTests.html#test_mechanisms
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.VersionTest
  subvertpy.tests.test_repos.VersionTest.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.VersionTest.test_version_length
  subvertpy.tests.test_repos.VersionTest.html#test_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.VersionTest.test_api_version_length
  subvertpy.tests.test_repos.VersionTest.html#test_api_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.VersionTest.test_api_version_later_same
  subvertpy.tests.test_repos.VersionTest.html#test_api_version_later_same
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository
  subvertpy.tests.test_repos.TestRepository.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.setUp
  subvertpy.tests.test_repos.TestRepository.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_create
  subvertpy.tests.test_repos.TestRepository.html#test_create
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_capability
  subvertpy.tests.test_repos.TestRepository.html#test_capability
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_verify_fs
  subvertpy.tests.test_repos.TestRepository.html#test_verify_fs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_open
  subvertpy.tests.test_repos.TestRepository.html#test_open
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_uuid
  subvertpy.tests.test_repos.TestRepository.html#test_uuid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_youngest_rev
  subvertpy.tests.test_repos.TestRepository.html#test_youngest_rev
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_rev_root
  subvertpy.tests.test_repos.TestRepository.html#test_rev_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_load_fs_with_hooks
  subvertpy.tests.test_repos.TestRepository.html#test_load_fs_with_hooks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_hotcopy
  subvertpy.tests.test_repos.TestRepository.html#test_hotcopy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_load_fs_invalid
  subvertpy.tests.test_repos.TestRepository.html#test_load_fs_invalid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_load_fs
  subvertpy.tests.test_repos.TestRepository.html#test_load_fs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_rev_props
  subvertpy.tests.test_repos.TestRepository.html#test_rev_props
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_rev_root_invalid
  subvertpy.tests.test_repos.TestRepository.html#test_rev_root_invalid
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_pack_fs
  subvertpy.tests.test_repos.TestRepository.html#test_pack_fs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_pack_fs_with_notify
  subvertpy.tests.test_repos.TestRepository.html#test_pack_fs_with_notify
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_create_with_config_none
  subvertpy.tests.test_repos.TestRepository.html#test_create_with_config_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_create_with_fs_config_none
  subvertpy.tests.test_repos.TestRepository.html#test_create_with_fs_config_none
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_load_fs_with_parent_dir
  subvertpy.tests.test_repos.TestRepository.html#test_load_fs_with_parent_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_paths_changed
  subvertpy.tests.test_repos.TestRepository.html#test_paths_changed
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_is_dir
  subvertpy.tests.test_repos.TestRepository.html#test_is_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepository.test_is_file
  subvertpy.tests.test_repos.TestRepository.html#test_is_file
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepositoryDelete
  subvertpy.tests.test_repos.TestRepositoryDelete.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepositoryDelete.test_delete
  subvertpy.tests.test_repos.TestRepositoryDelete.html#test_delete
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepositoryHotcopy
  subvertpy.tests.test_repos.TestRepositoryHotcopy.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestRepositoryHotcopy.test_hotcopy
  subvertpy.tests.test_repos.TestRepositoryHotcopy.html#test_hotcopy
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRoot
  subvertpy.tests.test_repos.TestFileSystemRoot.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRoot.setUp
  subvertpy.tests.test_repos.TestFileSystemRoot.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRoot.repo_path
  subvertpy.tests.test_repos.TestFileSystemRoot.html#repo_path
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRoot.test_file_length
  subvertpy.tests.test_repos.TestFileSystemRoot.html#test_file_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRoot.test_proplist_root
  subvertpy.tests.test_repos.TestFileSystemRoot.html#test_proplist_root
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html
  Class
  Class
  PUBLIC
  Tests for FileSystemRoot methods that require a committed file.
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.setUp
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.repos_url
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile._get_repo_path
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#_get_repo_path
  Function
  Method
  PRIVATE
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.test_file_length
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#test_file_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.test_file_content
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#test_file_content
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.test_file_checksum_md5
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#test_file_checksum_md5
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.test_file_checksum_sha1
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#test_file_checksum_sha1
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.TestFileSystemRootWithFile.test_file_checksum_force
  subvertpy.tests.test_repos.TestFileSystemRootWithFile.html#test_file_checksum_force
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.StreamTests
  subvertpy.tests.test_repos.StreamTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.StreamTests.test_read
  subvertpy.tests.test_repos.StreamTests.html#test_read
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.StreamTests.test_write
  subvertpy.tests.test_repos.StreamTests.html#test_write
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.StreamTests.test_close
  subvertpy.tests.test_repos.StreamTests.html#test_close
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.StreamTests.test_read_full
  subvertpy.tests.test_repos.StreamTests.html#test_read_full
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.ConstantsTests
  subvertpy.tests.test_repos.ConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.ConstantsTests.test_load_uuid_constants
  subvertpy.tests.test_repos.ConstantsTests.html#test_load_uuid_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.ConstantsTests.test_path_change_constants
  subvertpy.tests.test_repos.ConstantsTests.html#test_path_change_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_repos.ConstantsTests.test_checksum_constants
  subvertpy.tests.test_repos.ConstantsTests.html#test_checksum_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.GenerateRandomIdTests
  subvertpy.tests.test_server.GenerateRandomIdTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.GenerateRandomIdTests.test_returns_string
  subvertpy.tests.test_server.GenerateRandomIdTests.html#test_returns_string
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.GenerateRandomIdTests.test_is_uuid_format
  subvertpy.tests.test_server.GenerateRandomIdTests.html#test_is_uuid_format
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.GenerateRandomIdTests.test_unique
  subvertpy.tests.test_server.GenerateRandomIdTests.html#test_unique
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerBackendTests
  subvertpy.tests.test_server.ServerBackendTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerBackendTests.test_open_repository_raises
  subvertpy.tests.test_server.ServerBackendTests.html#test_open_repository_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.setUp
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.backend
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#backend
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_get_uuid_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_get_uuid_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_get_latest_revnum_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_get_latest_revnum_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_log_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_log_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_update_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_update_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_check_path_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_check_path_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_stat_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_stat_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_rev_proplist_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_rev_proplist_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_server.ServerRepositoryBackendTests.test_get_locations_raises
  subvertpy.tests.test_server.ServerRepositoryBackendTests.html#test_get_locations_raises
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.UriCanonicalizeTests
  subvertpy.tests.test_subr.UriCanonicalizeTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.UriCanonicalizeTests.test_canonicalize
  subvertpy.tests.test_subr.UriCanonicalizeTests.html#test_canonicalize
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.DirentCanonicalizeTests
  subvertpy.tests.test_subr.DirentCanonicalizeTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.DirentCanonicalizeTests.test_canonicalize
  subvertpy.tests.test_subr.DirentCanonicalizeTests.html#test_canonicalize
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.AbspathTests
  subvertpy.tests.test_subr.AbspathTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_subr.AbspathTests.test_abspath
  subvertpy.tests.test_subr.AbspathTests.html#test_abspath
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.VersionTest
  subvertpy.tests.test_wc.VersionTest.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.VersionTest.test_version_length
  subvertpy.tests.test_wc.VersionTest.html#test_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.VersionTest.test_api_version_length
  subvertpy.tests.test_wc.VersionTest.html#test_api_version_length
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.VersionTest.test_api_version_later_same
  subvertpy.tests.test_wc.VersionTest.html#test_api_version_later_same
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests
  subvertpy.tests.test_wc.AdmTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_get_adm_dir
  subvertpy.tests.test_wc.AdmTests.html#test_get_adm_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_set_adm_dir
  subvertpy.tests.test_wc.AdmTests.html#test_set_adm_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_normal_prop
  subvertpy.tests.test_wc.AdmTests.html#test_is_normal_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_normal_prop_false
  subvertpy.tests.test_wc.AdmTests.html#test_is_normal_prop_false
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_entry_prop
  subvertpy.tests.test_wc.AdmTests.html#test_is_entry_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_entry_prop_false
  subvertpy.tests.test_wc.AdmTests.html#test_is_entry_prop_false
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_wc_prop
  subvertpy.tests.test_wc.AdmTests.html#test_is_wc_prop
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_wc_prop_false
  subvertpy.tests.test_wc.AdmTests.html#test_is_wc_prop_false
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_is_adm_dir
  subvertpy.tests.test_wc.AdmTests.html#test_is_adm_dir
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_match_ignore_list
  subvertpy.tests.test_wc.AdmTests.html#test_match_ignore_list
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_check_wc_nonexistent
  subvertpy.tests.test_wc.AdmTests.html#test_check_wc_nonexistent
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.AdmTests.test_get_actual_target
  subvertpy.tests.test_wc.AdmTests.html#test_get_actual_target
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.WcTests
  subvertpy.tests.test_wc.WcTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.WcTests.test_revision_status
  subvertpy.tests.test_wc.WcTests.html#test_revision_status
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.WcTests.test_revision_status_trailing
  subvertpy.tests.test_wc.WcTests.html#test_revision_status_trailing
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.WcTests.test_revision_status_committed
  subvertpy.tests.test_wc.WcTests.html#test_revision_status_committed
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.WcTests.test_revision_status_trail_url
  subvertpy.tests.test_wc.WcTests.html#test_revision_status_trail_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests
  subvertpy.tests.test_wc.ContextTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.setUp
  subvertpy.tests.test_wc.ContextTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.repos_url
  subvertpy.tests.test_wc.ContextTests.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_create_context
  subvertpy.tests.test_wc.ContextTests.html#test_create_context
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_locked
  subvertpy.tests.test_wc.ContextTests.html#test_locked
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_text_modified
  subvertpy.tests.test_wc.ContextTests.html#test_text_modified
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_props_modified
  subvertpy.tests.test_wc.ContextTests.html#test_props_modified
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_conflicted
  subvertpy.tests.test_wc.ContextTests.html#test_conflicted
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_status
  subvertpy.tests.test_wc.ContextTests.html#test_status
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_prop_diffs
  subvertpy.tests.test_wc.ContextTests.html#test_get_prop_diffs
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_walk_status
  subvertpy.tests.test_wc.ContextTests.html#test_walk_status
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_walk_status_with_options
  subvertpy.tests.test_wc.ContextTests.html#test_walk_status_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_walk_status_ignore_patterns
  subvertpy.tests.test_wc.ContextTests.html#test_walk_status_ignore_patterns
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_walk_status_ignore_text_mode
  subvertpy.tests.test_wc.ContextTests.html#test_walk_status_ignore_text_mode
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_crawl_revisions_with_options
  subvertpy.tests.test_wc.ContextTests.html#test_crawl_revisions_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_add_from_disk_no_lock
  subvertpy.tests.test_wc.ContextTests.html#test_add_from_disk_no_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_add_lock_requires_write_lock
  subvertpy.tests.test_wc.ContextTests.html#test_add_lock_requires_write_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_remove_lock_requires_write_lock
  subvertpy.tests.test_wc.ContextTests.html#test_remove_lock_requires_write_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_crawl_revisions
  subvertpy.tests.test_wc.ContextTests.html#test_crawl_revisions
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_with_options
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_with_options
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_preserved_exts
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_preserved_exts
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_notify_func
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_notify_func
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_conflict_func_not_implemented
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_conflict_func_not_implemented
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_external_func_not_implemented
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_external_func_not_implemented
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_get_update_editor_dirents_func_not_implemented
  subvertpy.tests.test_wc.ContextTests.html#test_get_update_editor_dirents_func_not_implemented
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_add_from_disk_with_props
  subvertpy.tests.test_wc.ContextTests.html#test_add_from_disk_with_props
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_add_from_disk_skip_checks
  subvertpy.tests.test_wc.ContextTests.html#test_add_from_disk_skip_checks
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_add_from_disk_notify
  subvertpy.tests.test_wc.ContextTests.html#test_add_from_disk_notify
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_crawl_revisions_with_notify
  subvertpy.tests.test_wc.ContextTests.html#test_crawl_revisions_with_notify
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_ensure_adm
  subvertpy.tests.test_wc.ContextTests.html#test_ensure_adm
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_ensure_adm_with_depth
  subvertpy.tests.test_wc.ContextTests.html#test_ensure_adm_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_committed_queue_create
  subvertpy.tests.test_wc.ContextTests.html#test_committed_queue_create
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_committed_queue_queue
  subvertpy.tests.test_wc.ContextTests.html#test_committed_queue_queue
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ContextTests.test_process_committed_queue_requires_write_lock
  subvertpy.tests.test_wc.ContextTests.html#test_process_committed_queue_requires_write_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests
  subvertpy.tests.test_wc.LockTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_create_lock
  subvertpy.tests.test_wc.LockTests.html#test_create_lock
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_create_lock_with_token
  subvertpy.tests.test_wc.LockTests.html#test_create_lock_with_token
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_path_default
  subvertpy.tests.test_wc.LockTests.html#test_path_default
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_set_path
  subvertpy.tests.test_wc.LockTests.html#test_set_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_token_default
  subvertpy.tests.test_wc.LockTests.html#test_token_default
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.LockTests.test_set_token
  subvertpy.tests.test_wc.LockTests.html#test_set_token
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.PristineTests
  subvertpy.tests.test_wc.PristineTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.PristineTests.setUp
  subvertpy.tests.test_wc.PristineTests.html#setUp
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.PristineTests.repos_url
  subvertpy.tests.test_wc.PristineTests.html#repos_url
  Attribute
  Instance Variable
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.PristineTests.test_get_pristine_contents
  subvertpy.tests.test_wc.PristineTests.html#test_get_pristine_contents
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.PristineTests.test_get_pristine_copy_path
  subvertpy.tests.test_wc.PristineTests.html#test_get_pristine_copy_path
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.EnsureAdmTests
  subvertpy.tests.test_wc.EnsureAdmTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.EnsureAdmTests.test_ensure_adm_bogus_url
  subvertpy.tests.test_wc.EnsureAdmTests.html#test_ensure_adm_bogus_url
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.EnsureAdmTests.test_ensure_adm_with_repos_and_rev
  subvertpy.tests.test_wc.EnsureAdmTests.html#test_ensure_adm_with_repos_and_rev
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.EnsureAdmTests.test_ensure_adm_with_depth
  subvertpy.tests.test_wc.EnsureAdmTests.html#test_ensure_adm_with_depth
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.CleanupTests
  subvertpy.tests.test_wc.CleanupTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.CleanupTests.test_cleanup
  subvertpy.tests.test_wc.CleanupTests.html#test_cleanup
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.CleanupTests.test_cleanup_with_diff3_cmd
  subvertpy.tests.test_wc.CleanupTests.html#test_cleanup_with_diff3_cmd
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ConstantsTests
  subvertpy.tests.test_wc.ConstantsTests.html
  Class
  Class
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ConstantsTests.test_schedule_constants
  subvertpy.tests.test_wc.ConstantsTests.html#test_schedule_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ConstantsTests.test_conflict_choose_constants
  subvertpy.tests.test_wc.ConstantsTests.html#test_conflict_choose_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ConstantsTests.test_status_constants
  subvertpy.tests.test_wc.ConstantsTests.html#test_status_constants
  Function
  Method
  PUBLIC
  Undocumented
- subvertpy.tests.test_wc.ConstantsTests.test_translate_constants
  subvertpy.tests.test_wc.ConstantsTests.html#test_translate_constants
  Function
  Method
  PUBLIC
  Undocumented